Install Libmraa on Rock Pi 4

This Tutorial describes how to Using OTG for ROCK Pi S. Nowadays Rock Pi Boards are popular. Rock Pi is the best alternative of Raspberry Pi. Rock Pi 4 is a most popular SBC. Rock Pi Developed and Manufactured by Radxa. Radxa is a startup founded 2013, focusing on design, manufacture and sell Open Source Hardware products. Radxa also provides custom designing, prototyping and software/hardware integration services. Radxa® is pronounced as [reksə]. The name is from the Latin word radix which means root. Radxa® is a registered trade mark by Radxa Limited in Shenzhen, China(深圳市瑞莎科技).

Here a info post about Rock Pi Boards – Rock Pi Boards | Rock Pi 4 | Rock Pi X | Rock Pi N10

Using OTG for ROCK Pi S

What we need ?

  • ROCK Pi S Board
  • USB Type C to USB-A cable

1: Connecting your ROCK Pi S on PC

Using USB Type C to USB-A cable connect your ROCK Pi S and PC.

2: Make sure rkdeveloptool is set up on host computer Linux

For Linux

To build rkdeveloptool on a debian based Linux distribution, follow the instruction below:

Install build dependency:

 sudo apt-get install libudev-dev libusb-1.0-0-dev dh-autoreconf

Clone the source code and build:

 git clone https://github.com/rockchip-linux/rkdeveloptool
 cd rkdeveloptool
 autoreconf -i
 ./configure
 make

If you encounter compile error like below

   ./configure: line 4269: syntax error near unexpected token `LIBUSB1,libusb-1.0'
   ./configure: line 4269: `PKG_CHECK_MODULES(LIBUSB1,libusb-1.0)'


You should install pkg-config libusb-1.0

   sudo apt-get install pkg-config libusb-1.0

Then re-run

   autoreconf -i
   ./configure
   make

Now you have rkdeveloptool executable at the current directory.

 sudo cp rkdeveloptool /usr/local/bin/

For MacOS

To build rkdeveloptool on macOS, you need homebrew(or similar package manager) to install required packages.

Install build dependency:

   brew install automake autoconf libusb

Clone the source code and build:

   git clone https://github.com/rockchip-linux/rkdeveloptool
   cd rkdeveloptool
   autoreconf -i
   ./configure
   make

If you encounter compile error like below

   ./configure: line 4269: syntax error near unexpected token `LIBUSB1,libusb-1.0'
   ./configure: line 4269: `PKG_CHECK_MODULES(LIBUSB1,libusb-1.0)'


You should install pkg-config libusb-1.0

   brew install pkg-config

Then re-run

   autoreconf -i
   ./configure
   make

Now you have rkdeveloptool executable at the current directory.

   sudo cp rkdeveloptool /usr/local/bin/

3: Testing connected and get help

On linux host:

  $ rkdeveloptool ld

If you can see the information for device your connection is successful, if you want to get help you can type:

  $ rkdeveloptool ? 

Source – https://wiki.radxa.com/RockpiS/dev/otg (official radxa wiki)


I hope you like this post. Thanks for reading. If you like this post probably you might like my next ones, so please support me by subscribing my blog.

You May also like :

By Harshvardhan Mishra

Hi, I'm Harshvardhan Mishra. I am a tech blogger and an IoT Enthusiast. I am eager to learn and explore tech related stuff! also, I wanted to deliver you the same as much as the simpler way with more informative content. I generally appreciate learning by doing, rather than only learning. Thank you for reading my blog! Happy learning! Follow and send tweets me on @harshvardhanrvm. If you want to help support me on my journey, consider sharing my articles, or Buy me a Coffee!

Related Post

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.